import {getData} from "@/cms";
import Navbar from "./Navbar";
import NavBarSection from "@/types/cms/navbar";

interface Props {
	currentPage: string;
	language: "en" | "ar";
}

export default async function NavbarContainer({currentPage, language}: Props) {
	const data = await getData<NavBarSection>("nav-bar", language);

	return <Navbar data={data} language={language} currentPage={currentPage} />;
}
